<template>
    <div id="app">
        <form class="form-inline my-2 my-lg-0" v-on:submit.prevent="getData">
            <input type="text" placeholder="City" v-model="cityname">
            <button type="submit">
                <svg width="1em" height="1em" viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" d="M10.442 10.442a1 1 0 0 1 1.415 0l3.85 3.85a1 1 0 0 1-1.414 1.415l-3.85-3.85a1 1 0 0 1 0-1.415z"/>
                <path fill-rule="evenodd" d="M6.5 12a5.5 5.5 0 1 0 0-11 5.5 5.5 0 0 0 0 11zM13 6.5a6.5 6.5 0 1 1-13 0 6.5 6.5 0 0 1 13 0z"/>
                </svg>
            </button>
        </form>

        <div v-if = "responseAvailable == true">

            <h1>{{city}}, {{country}}</h1>
            <p id="coor">lat : {{latitude}} - lon : {{longitude}}</p>

            <div id="temperature">
                <p id="temp">{{ temp }}<sup>°C</sup></p>
                <div id="minmax">
                    <p><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-up" viewBox="0 0 16 16">
                        <path fill-rule="evenodd" d="M8 15a.5.5 0 0 0 .5-.5V2.707l3.146 3.147a.5.5 0 0 0 .708-.708l-4-4a.5.5 0 0 0-.708 0l-4 4a.5.5 0 1 0 .708.708L7.5 2.707V14.5a.5.5 0 0 0 .5.5z"/>
                        </svg> {{ temp_max}}<sup>°C</sup></p>
                    <p><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-down" viewBox="0 0 16 16">
                        <path fill-rule="evenodd" d="M8 1a.5.5 0 0 1 .5.5v11.793l3.146-3.147a.5.5 0 0 1 .708.708l-4 4a.5.5 0 0 1-.708 0l-4-4a.5.5 0 0 1 .708-.708L7.5 13.293V1.5A.5.5 0 0 1 8 1z"/>
                        </svg> {{temp_min}}<sup>°C</sup></p>
                </div>
            </div>

            <div v-html="icon"></div>
            <p id="weather">{{weather}}</p>
            <p id="feels">Temperature feels like {{ feels_like }}°C</p>

        </div>
    </div>
</template>

<script>

export default {
    name: 'App',
    data(){
        return {
        cityname: null,
        apikey: '86b4b46221513c641f19b669167d928a',
        responseAvailable: false,
        city: '',
        country: '',
        weather: '',
        icon: '',
        latitude: '',
        longitude: '',
        temp: '',
        feels_like: '',
        temp_max: '',
        temp_min: '',
        }
    },
    methods:{
        getData(){
            this.responseAvailable = false;
            const url=`https://api.openweathermap.org/data/2.5/weather?q=${this.cityname}&units=metric&appid=${this.apikey}`
            fetch(url)
                .then((reponse) => reponse.json())
                .then((data) => {
                console.log(data);
                this.city = data.name;
                this.country = data.sys.country;
                this.latitude = data.coord.lat;
                this.longitude = data.coord.lon;
                this.weather = data.weather[0].description;
                this.icon = `<img src="https://openweathermap.org/img/w/${data.weather[0].icon}.png" alt="Weather icon">`;
                this.temp = Math.round(data.main.temp);
                this.feels_like = Math.round(data.main.feels_like);
                this.temp_max = data.main.temp_max;
                this.temp_min = data.main.temp_min;
                this.responseAvailable = true;
                })
                .catch(err => {
                    console.log(err);
                })
        }
    }
}
</script>

<style>
body {
  background: rgb(98, 160, 180);
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: white;
  margin-top: 60px;
}

input[type=text] {
  border: 2px solid transparent;
  border-radius: 0;
  padding: 7px;
  box-sizing: border-box;
  resize: vertical;
}
input[type=text]:focus {
  border: 2px solid orange;
}
button {
  border-radius: 0;
  border: 2px solid transparent;
  background-color: rgb(97, 96, 96);
  padding: 7px;
}
button:focus {
  background-color: orange;
}
h1 {
    margin: 40px 0 0 0;
}
#coor {
    font-size: 14px;
    margin: 0 0 40px 0;
}
#temperature {
    margin: 10px 0 10px 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: left;
}
#temp {
    font-size: 70px;
    margin: 0 20px 0 0;
}
#temp sup {
    font-size: 30px;
}
#feels {
    font-size: 14px;
    margin: 0;
}
#minmax {
    font-size: 16px;
}
#minmax sup {
    font-size: 10px;
}
#weather {
    text-transform: uppercase;
    margin: 0;
    font-size: 20px;
}
</style>
